using EonaCat.LogStack.Core;
using System.Runtime.CompilerServices;
using System.Runtime.InteropServices;

namespace EonaCat.LogStack.Boosters
{
    // This file is part of the EonaCat project(s) which is released under the Apache License.
    // See the LICENSE file or go to https://EonaCat.com/License for full license details.

    public sealed class FrameworkBooster : BoosterBase
    {
        private static readonly string FrameworkDesc = RuntimeInformation.FrameworkDescription;

        public FrameworkBooster() : base("Framework") { }

        [System.Runtime.CompilerServices.MethodImpl(MethodImplOptions.AggressiveInlining)]
        public override bool Boost(ref LogEventBuilder builder)
        {
            builder.WithProperty("Framework", FrameworkDesc);
            return true;
        }
    }
}
